An unknown tool name was found in a scoped lint.

Erroneous code examples:

```compile_fail,E0710
#[allow(clipp::filter_map)] // error!
fn main() {
    // business logic
}
```

```compile_fail,E0710
#[warn(clipp::filter_map)] // error!
fn main() {
    // business logic
}
```

Please verify you didn't misspell the tool's name or that you didn't
forget to import it in you project:

```
#[allow(clippy::filter_map)] // ok!
fn main() {
    // business logic
}
```

```
#[warn(clippy::filter_map)] // ok!
fn main() {
    // business logic
}
```
